aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbuild.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..2acaf16
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -e
+
+repo_name=$( basename -s .git $(git remote get-url origin) )
+
+docker run --rm -it -v $(pwd):/app -w /app mono:latest bash -c '
+ set -e
+ mkdir -p build
+
+ nuget restore SharpRIDHijack.sln
+ msbuild SharpRIDHijack.sln /p:Configuration=Release /p:Platform="Any CPU"
+ msbuild SharpRIDHijack.sln /p:Configuration=Release /p:Platform=x64
+ msbuild SharpRIDHijack.sln /p:Configuration=Release /p:Platform=x86
+
+ cp SharpRIDHijack/bin/Release/SharpRIDHijack.exe build/SharpRIDHijack-AnyCPU.exe
+ cp SharpRIDHijack/bin/x64/Release/SharpRIDHijack.exe build/SharpRIDHijack-x64.exe
+ cp SharpRIDHijack/bin/x86/Release/SharpRIDHijack.exe build/SharpRIDHijack-x86.exe
+'
+
+printf "%s\n" "[inf] finished building ${repo_name}"